View Issue Details

IDProjectCategoryView StatusLast Update
0000027Bacula-Webbug-phppublic2013-11-19 15:06
ReporterjrAssigned Todavide 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSLinuxOS VersionUbuntu 10.04 LTS
Product Version5.0.3 
Target Version5.1.0 - alphaFixed in Version5.1.0 - alpha 
Summary0000027: PHP Errors
Description[Tue Jan 11 16:59:28 2011] [error] [client 192.168.41.103] PHP Notice: Undefined index: Full_popup in /www/bacula-web/index.php on line 104
[Tue Jan 11 16:59:28 2011] [error] [client 192.168.41.103] PHP Notice: Undefined variable: TotalElapsed in /www/bacula-web/index.php on line 128
[Tue Jan 11 16:59:28 2011] [error] [client 192.168.41.103] PHP Notice: Undefined offset: 0 in /www/bacula-web/index.php on line 129
[Tue Jan 11 16:59:28 2011] [error] [client 192.168.41.103] PHP Notice: Undefined variable: TotalElapsed in /www/bacula-web/index.php on line 129
[Tue Jan 11 16:59:28 2011] [error] [client 192.168.41.103] PHP Notice: Undefined offset: 0 in /www/bacula-web/index.php on line 129
[Tue Jan 11 16:59:28 2011] [error] [client 192.168.41.103] PHP Notice: Undefined index: Full_popup in /www/bacula-web/index.php on line 163
[Tue Jan 11 16:59:28 2011] [error] [client 192.168.41.103] PHP Notice: Undefined index: pop_graph1 in /www/bacula-web/index.php on line 163
[Tue Jan 11 16:59:28 2011] [error] [client 192.168.41.103] PHP Notice: Undefined index: pop_graph2 in /www/bacula-web/index.php on line 163
[Tue Jan 11 16:59:28 2011] [error] [client 192.168.41.103] PHP Notice: Undefined variable: count in /www/bacula-web/classes.inc on line 524, referer: https://bacula.host.local/bacula-web/
[Tue Jan 11 16:59:28 2011] [error] [client 192.168.41.103] PHP Fatal error: Call to undefined method DB_Error::fetchRow() in /www/bacula-web/classes.inc on line 534, referer: https://bacula.host.local/bacula-web/

bacula-web/test.php looks good in my browser but lots of depricated split() and ereg_replace() messages in Apache's error log.
Steps To ReproduceOpen Bacula-Web in your favorite browser.
Additional InformationBacula 5.0.1, Bacula-Web (13-Dec-2010), PHP 5.3.2, Apache 2.2.4
TagsNo tags attached.

Activities

davide

2011-01-28 14:53

manager   ~0000013

The development version (not yet released on the web site) fixed these error in Apache logs.

Best regards

davide

2011-07-22 00:07

manager   ~0000036

No more php warnings in Apache logs with version 5.1.0 - alpha

davide

2013-11-19 15:06

manager   ~0000358

Issue closed

Issue History

Date Modified Username Field Change
2011-01-11 17:18 jr New Issue
2011-01-28 14:11 davide Assigned To => davide
2011-01-28 14:11 davide Status new => assigned
2011-01-28 14:53 davide Note Added: 0000013
2011-06-17 16:51 davide Product Version => 5.0.3
2011-06-17 16:51 davide Target Version => 5.1.0 - alpha
2011-07-22 00:06 davide Fixed in Version => 5.1.0 - alpha
2011-07-22 00:07 davide Note Added: 0000036
2011-07-22 00:07 davide Status assigned => resolved
2011-07-22 00:07 davide Resolution open => fixed
2013-11-19 15:06 davide Status resolved => closed
2013-11-19 15:06 davide Note Added: 0000358